Subject: bug#12364: closed (Re: bug#12364: 24.2.50; wrong overhang display for gstring compositions)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Sep 2012 04:02:02 +0000

Your bug report

#12364: 24.2.50; wrong overhang display for gstring compositions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12364: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12364
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12364: 24.2.50; wrong overhang display for gstring compositions
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Tue, 11 Sep 2012 13:01:10 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Fri, 07 Sep 2012 17:47:23 +0900, YAMAMOTO Mitsuharu <[email-masked]> said:

> I tried making a fix.  The change for xterm.c is so the box cursor can
> invert the left overhang of the succeeding glyph.

I've just installed the patch.

				     YAMAMOTO Mitsuharu
				[email-masked]

Subject: 24.2.50; wrong overhang display for gstring compositions
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Thu, 06 Sep 2012 11:37:26 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to Reproduce:

1. $ emacs -Q &
2. evaluate (set-fontset-font t 'arabic (font-spec :family "arial" :size 30))
3. C-u C-\ arabic RET
4. u S u
   At this moment, the two grapheme clusters look connected.
5. C-b C-p
   Now the two grapheme clusters look unconnected.

See also the "u-S-u" example in the first screenshot in
http://lists.gnu.org/archive/html/bug-gnu-emacs/2012-09/msg00178.html .

I think at least the two occurrences of the following line in xdisp.c
are wrong.

      int first = (s->first_glyph - glyphs) + (s->cmp ? 1 : s->nchars);

The value of s->cmp seems to be NULL for the "gstring" cases.

					YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 24.2.50.1 (x86_64-apple-darwin12.1.0, X toolkit, Xaw3d scroll bars)
 of 2012-09-06 on YAMAMOTO-no-iMac.local
Bzr revision: 109895 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11204000
Configured using:
 `configure '--enable-checking' '--with-jpeg=no' '--with-gif=no'
 '--with-tiff=no' 'CFLAGS=-g3''

Important settings:
  value of $LANG: ja_JP.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t